package com.zehong.system.domain.vo;

import com.zehong.common.annotation.Excel;

import java.math.BigDecimal;
import java.util.Date;

public class PurchaseStatisticsDetailExportVo {

    @Excel(name = "部门")
    private String purchaseDeptName;

    @Excel(name = "经办人")
    private String handledByUserName;

    @Excel(name = "使用人")
    private String userName;

    @Excel(name = "名称")
    private String purchaseName;

    @Excel(name = "用途")
    private String applicationDescription;

    @Excel(name = "报销总额")
    private BigDecimal total;

    private Date createTime;

    @Excel(name = "申请时间")
    private String createTimeStr;

    @Excel(name = "状态", dictType = "purchaseStatus")
    private String purchaseStatus;

    @Excel(name = "审批人")
    private String approvedUserName;

    public String getPurchaseDeptName() {
        return purchaseDeptName;
    }

    public void setPurchaseDeptName(String purchaseDeptName) {
        this.purchaseDeptName = purchaseDeptName;
    }

    public String getHandledByUserName() {
        return handledByUserName;
    }

    public void setHandledByUserName(String handledByUserName) {
        this.handledByUserName = handledByUserName;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getPurchaseName() {
        return purchaseName;
    }

    public void setPurchaseName(String purchaseName) {
        this.purchaseName = purchaseName;
    }

    public String getApplicationDescription() {
        return applicationDescription;
    }

    public void setApplicationDescription(String applicationDescription) {
        this.applicationDescription = applicationDescription;
    }

    public BigDecimal getTotal() {
        return total;
    }

    public void setTotal(BigDecimal total) {
        this.total = total;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCreateTimeStr() {
        return createTimeStr;
    }

    public void setCreateTimeStr(String createTimeStr) {
        this.createTimeStr = createTimeStr;
    }

    public String getPurchaseStatus() {
        return purchaseStatus;
    }

    public void setPurchaseStatus(String purchaseStatus) {
        this.purchaseStatus = purchaseStatus;
    }

    public String getApprovedUserName() {
        return approvedUserName;
    }

    public void setApprovedUserName(String approvedUserName) {
        this.approvedUserName = approvedUserName;
    }
}
